Subject: Re: bug#70593: 30.0.50; Dired: buffers of renamed dirs are broken

From: Michael Heerdegen <[email-masked]>
Date: Thu, 09 May 2024 15:46:18 +0200

Hello,

I'm CC'ing Drew.  Drew, do you happen to have any experience with this
case case (in general)?

In the meantime I've though about this particular question:

> (1) What do we need to do we do when `dired-directory' is a cons
> (i.e. dir along with a file list)?  The existing code just threw away
> the file list (that's why I unified the cases for now - the code didn't
> make sense to me).

I continue thinking like that.  But what should we do instead?  The file
list can contain anything - relative or absolute names.  And there can
be names affected by the renaming operation in the list even when the
`dired-directory' is not affected.  Would we want to exchange affected
file names in the list silently, or leave them as they are?

Michael.